## cascading.tap.hadoop.io
Class TapOutputCollector

    java.lang.Object
      cascading.tap.hadoop.io.TapOutputCollector

All Implemented Interfaces:
  Closeable, OutputCollector

    public class TapOutputCollector

extends Object
implements OutputCollector, Closeable

Field Summary
`static String` `PART_TASK_PATTERN`
`static String` `PART_TASK_SEQ_PATTERN`

Constructor Summary
`TapOutputCollector(FlowProcess<JobConf> flowProcess, Tap<JobConf,RecordReader,OutputCollector> tap)`
`TapOutputCollector(FlowProcess<JobConf> flowProcess, Tap<JobConf,RecordReader,OutputCollector> tap, String prefix)`
`TapOutputCollector(FlowProcess<JobConf> flowProcess, Tap<JobConf,RecordReader,OutputCollector> tap, String prefix, long sequence)`

Method Summary
`void` `close()`
`void` `collect(Object writableComparable, Object writable)` Method collect writes the given values to the `Tap` this instance encapsulates.
`protected void` `initialize()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### PART_TASK_PATTERN

    public static final String PART_TASK_PATTERN

See Also:
  Constant Field Values

### PART_TASK_SEQ_PATTERN

    public static final String PART_TASK_SEQ_PATTERN

See Also:
  Constant Field Values

Constructor Detail

### TapOutputCollector

    public TapOutputCollector(FlowProcess<JobConf> flowProcess,
                              Tap<JobConf,RecordReader,OutputCollector> tap)
                       throws IOException

Throws:
  `IOException`

### TapOutputCollector

    public TapOutputCollector(FlowProcess<JobConf> flowProcess,
                              Tap<JobConf,RecordReader,OutputCollector> tap,
                              String prefix)
                       throws IOException

Throws:
  `IOException`

### TapOutputCollector

    public TapOutputCollector(FlowProcess<JobConf> flowProcess,
                              Tap<JobConf,RecordReader,OutputCollector> tap,
                              String prefix,
                              long sequence)
                       throws IOException

Throws:
  `IOException`

Method Detail

### initialize

    protected void initialize()
                       throws IOException

  Throws:
    `IOException`

### collect

    public void collect(Object writableComparable,
                        Object writable)
                 throws IOException

  Method collect writes the given values to the `Tap` this instance encapsulates.

  Specified by:
    `collect` in interface `OutputCollector`
  Parameters:
    `writableComparable` - of type WritableComparable
    `writable` - of type Writable
  Throws:
    `IOException` - when

### close

    public void close()

  Specified by:
    `close` in interface `Closeable`

Copyright © 2007-2014 Concurrent, Inc. All Rights Reserved.